Skip to main content
GET
/
conversations
/
{id}
/
actions
List conversation actions
curl --request GET \
  --url https://api.example.com/conversations/{id}/actions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "68505cb92a11ea971d9df894",
      "resolved": false,
      "role": "assistant",
      "name": "help",
      "content": "Manual escalation",
      "toolCalls": [
        {
          "id": "call_123",
          "type": "function",
          "function": {}
        }
      ],
      "createdAt": "2026-04-14T12:00:00.000Z",
      "updatedAt": "2026-04-14T12:01:00.000Z"
    }
  ],
  "meta": {
    "pagination": {
      "limit": 25,
      "nextCursor": "68505cb92a11ea971d9df894",
      "hasMore": true
    }
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <api_key>.

Path Parameters

id
string
required

Conversation/contact ID.

Minimum string length: 1
Example:

"68505cb92a11ea971d9df894"

Query Parameters

limit
integer

Max number of actions to return (1–100).

Required range: 1 <= x <= 100
Example:

20

cursor
string

Pagination cursor from previous page.

Example:

"68505cb92a11ea971d9df894"

Response

Conversation actions

data
object[]
required
meta
object
required